> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/revenue-analytics/totals

> Returns top-level grouped totals and lookback periods from real time analytics data



## OpenAPI

````yaml /openapi.json get /v1/report/insight/revenue-analytics/totals
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/revenue-analytics/totals:
    get:
      tags:
        - Reporting/Insights Hub/Revenue Analytics
        - public
      summary: /report/insight/revenue-analytics/totals
      description: >-
        Returns top-level grouped totals and lookback periods from real time
        analytics data
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: true
          example: 0
          schema:
            type: integer
        - name: range
          in: query
          description: Date range. All ranges exclude today and run up to yesterday
          required: false
          example: ''
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          example: ''
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          example: ''
          schema:
            type: string
            format: date
        - name: isConnected
          in: query
          description: Check to see if the publisher has analytics connected
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      totals:
                        type: object
                        properties:
                          page_views:
                            type: integer
                          total_users:
                            type: integer
                          sessions:
                            type: integer
                          ad_requests:
                            type: integer
                          unit_loads:
                            type: integer
                          gross_revenue:
                            type: number
                          gross_pap_revenue:
                            type: number
                          gross_saas_revenue:
                            type: number
                          net_revenue:
                            type: number
                          net_pap_revenue:
                            type: number
                          net_saas_revenue:
                            type: number
                        required:
                          - page_views
                          - total_users
                          - sessions
                          - ad_requests
                          - unit_loads
                          - gross_revenue
                          - gross_pap_revenue
                          - gross_saas_revenue
                          - net_revenue
                          - net_pap_revenue
                          - net_saas_revenue
                      periods:
                        type: object
                        properties:
                          yesterday:
                            type: object
                            properties:
                              ad_requests:
                                type: integer
                              unit_loads:
                                type: integer
                              page_views:
                                type: integer
                              total_users:
                                type: integer
                              sessions:
                                type: integer
                            required:
                              - ad_requests
                              - unit_loads
                          yesterday_compare:
                            type: object
                            properties:
                              ad_requests:
                                type: integer
                              unit_loads:
                                type: integer
                              page_views:
                                type: integer
                              total_users:
                                type: integer
                              sessions:
                                type: integer
                            required:
                              - ad_requests
                              - unit_loads
                          week_to_date:
                            type: object
                            properties:
                              ad_requests:
                                type: integer
                              unit_loads:
                                type: integer
                            required:
                              - ad_requests
                              - unit_loads
                          week_to_date_compare:
                            type: object
                            properties:
                              ad_requests:
                                type: integer
                              unit_loads:
                                type: integer
                            required:
                              - ad_requests
                              - unit_loads
                          month_to_date:
                            type: object
                            properties:
                              ad_requests:
                                type: integer
                              unit_loads:
                                type: integer
                            required:
                              - ad_requests
                              - unit_loads
                          month_to_date_compare:
                            type: object
                            properties:
                              ad_requests:
                                type: integer
                              unit_loads:
                                type: integer
                            required:
                              - ad_requests
                              - unit_loads
                          thirty_days:
                            type: object
                            properties:
                              ad_requests:
                                type: integer
                              unit_loads:
                                type: integer
                            required:
                              - ad_requests
                              - unit_loads
                          thirty_days_compare:
                            type: object
                            properties:
                              ad_requests:
                                type: integer
                              unit_loads:
                                type: integer
                            required:
                              - ad_requests
                              - unit_loads
                          last_week:
                            type: object
                            properties:
                              ad_requests:
                                type: integer
                              unit_loads:
                                type: integer
                            required:
                              - ad_requests
                              - unit_loads
                          last_week_compare:
                            type: object
                            properties:
                              ad_requests:
                                type: integer
                              unit_loads:
                                type: integer
                            required:
                              - ad_requests
                              - unit_loads
                          last_month:
                            type: object
                            properties:
                              ad_requests:
                                type: integer
                              unit_loads:
                                type: integer
                            required:
                              - ad_requests
                              - unit_loads
                          last_month_compare:
                            type: object
                            properties:
                              ad_requests:
                                type: integer
                              unit_loads:
                                type: integer
                            required:
                              - ad_requests
                              - unit_loads
                        required:
                          - yesterday
                          - yesterday_compare
                          - week_to_date
                          - week_to_date_compare
                          - month_to_date
                          - month_to_date_compare
                          - thirty_days
                          - thirty_days_compare
                          - last_week
                          - last_week_compare
                          - last_month
                          - last_month_compare
                    required:
                      - totals
                      - periods
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  totals:
                    page_views: 1125330
                    total_users: 466089
                    sessions: 726607
                    ad_requests: 7730827
                    unit_loads: 16277485
                    gross_revenue: 37967.323573
                    gross_pap_revenue: 169.710774
                    gross_saas_revenue: 37797.612799
                    net_revenue: 37933.381418200006
                    net_pap_revenue: 135.7686192
                    net_saas_revenue: 37797.612798999995
                  periods:
                    yesterday:
                      ad_requests: 1227014
                      unit_loads: 2568540
                      page_views: 172457
                      total_users: 88142
                      sessions: 106106
                    yesterday_compare:
                      ad_requests: 896852
                      unit_loads: 2185294
                      page_views: 119683
                      total_users: 67321
                      sessions: 81091
                    week_to_date:
                      ad_requests: 1227014
                      unit_loads: 2568540
                    week_to_date_compare:
                      ad_requests: 1188658
                      unit_loads: 2610147
                    month_to_date:
                      ad_requests: 25127486
                      unit_loads: 52331159
                    month_to_date_compare:
                      ad_requests: 27704573
                      unit_loads: 52317238
                    thirty_days:
                      ad_requests: 31960966
                      unit_loads: 65960040
                    thirty_days_compare:
                      ad_requests: 33718939
                      unit_loads: 62802833
                    last_week:
                      ad_requests: 7692471
                      unit_loads: 16319092
                    last_week_compare:
                      ad_requests: 6885481
                      unit_loads: 13996394
                    last_month:
                      ad_requests: 35273617
                      unit_loads: 67576410
                    last_month_compare:
                      ad_requests: 39802382
                      unit_loads: 71180909
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````